Index: sansmodels/src/python_wrapper/WrapperGenerator.py
===================================================================
--- sansmodels/src/python_wrapper/WrapperGenerator.py	(revision 2d1b7008c4fcc2791722e1581f47a3559d64f820)
+++ sansmodels/src/python_wrapper/WrapperGenerator.py	(revision 642a025e2c955d964469990e58aa29e9deef7407)
@@ -56,5 +56,5 @@
     """
     
-    def __init__(self, filename, output_dir='.'):
+    def __init__(self, filename, output_dir='.', c_wrapper_dir='.'):
         """ Initialization """
         
@@ -92,4 +92,5 @@
         ## output directory for wrappers
         self.output_dir = output_dir
+        self.c_wrapper_dir = c_wrapper_dir
         
         
@@ -291,5 +292,5 @@
             The file is written in C[PYTHONCLASS].c
         """
-        file_path = os.path.join(self.output_dir, "C"+self.pythonClass+'.cpp')
+        file_path = os.path.join(self.c_wrapper_dir, "C"+self.pythonClass+'.cpp')
         file = open(file_path, 'w')
         
@@ -417,5 +418,5 @@
             The file is written in ../[PYTHONCLASS].py
         """
-        file_path = os.path.join(self.output_dir, "../sans/models/"+self.pythonClass+'.py')
+        file_path = os.path.join(self.output_dir, self.pythonClass+'.py')
         file = open(file_path, 'w')
         template = open(os.path.join(os.path.dirname(__file__), "modelTemplate.txt"), 'r')
Index: sansmodels/src/python_wrapper/wrapping.py
===================================================================
--- sansmodels/src/python_wrapper/wrapping.py	(revision 2d1b7008c4fcc2791722e1581f47a3559d64f820)
+++ sansmodels/src/python_wrapper/wrapping.py	(revision 642a025e2c955d964469990e58aa29e9deef7407)
@@ -4,5 +4,5 @@
 from WrapperGenerator import WrapperGenerator
 
-def generate_wrappers(header_dir, output_dir='.'):
+def generate_wrappers(header_dir, output_dir='.', c_wrapper_dir='.'):
     nModels=0
     for item in os.listdir(header_dir):
@@ -11,5 +11,7 @@
             nModels += 1
             name = toks[0]
-            app = WrapperGenerator(os.path.join(header_dir, name+".h"), output_dir=output_dir)
+            app = WrapperGenerator(os.path.join(header_dir, name+".h"), 
+                                   output_dir=output_dir,
+                                   c_wrapper_dir=c_wrapper_dir)
             app.read()
             app.write_c_wrapper()
@@ -20,5 +22,5 @@
 if __name__ == '__main__':
     header_dir = os.path.join('..', 'c_extensions')
-    generate_wrappers(header_dir)
+    generate_wrappers(header_dir, output_dir="../sans/models/", c_wrapper_dir='.')
 
 
Index: setup.py
===================================================================
--- setup.py	(revision 2d1b7008c4fcc2791722e1581f47a3559d64f820)
+++ setup.py	(revision 642a025e2c955d964469990e58aa29e9deef7407)
@@ -216,9 +216,12 @@
 c_model_dir = os.path.join("sansmodels", "src", "c_models")
 smear_dir  = os.path.join("sansmodels", "src", "c_smearer")
-wrapper_dir  = os.path.join("sansmodels", "src", "python_wrapper")
-
-sys.path.append(wrapper_dir)
+wrapper_dir  = os.path.join("sansmodels", "src", "python_wrapper", "generated")
+os.makedirs(wrapper_dir)
+
+sys.path.append(os.path.join("sansmodels", "src", "python_wrapper"))
 from wrapping import generate_wrappers
-generate_wrappers(header_dir=srcdir, output_dir=wrapper_dir)
+generate_wrappers(header_dir=srcdir, 
+                  output_dir=os.path.join("sansmodels", "src", "sans", "models"), 
+                  c_wrapper_dir=wrapper_dir)
 
 IGNORED_FILES = ["a.exe",
